clang-tools 8.0.0

Classes | Namespaces | Typedefs | Functions | Variables
BitcodeWriter.cpp File Reference
`#include "BitcodeWriter.h"`
`#include "llvm/ADT/IndexedMap.h"`
`#include <initializer_list>`
Include dependency graph for BitcodeWriter.cpp:

Go to the source code of this file.

## Classes
struct | clang::doc::BlockIdToIndexFunctor
struct | clang::doc::RecordIdToIndexFunctor
struct | clang::doc::RecordIdDsc

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc

## Typedefs
using | clang::doc::AbbrevDsc = void(*)(std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)

## Functions
static void | clang::doc::AbbrevGen (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev, const std::initializer_list< llvm::BitCodeAbbrevOp > Ops)
static void | clang::doc::BoolAbbrev (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)
static void | clang::doc::IntAbbrev (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)
static void | clang::doc::SymbolIDAbbrev (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)
static void | clang::doc::StringAbbrev (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)
static void | clang::doc::LocationAbbrev (std::shared_ptr< llvm::BitCodeAbbrev > &Abbrev)

## Variables
static const SymbolID | clang::doc::EmptySID = SymbolID()
static const llvm::IndexedMap< llvm::StringRef, BlockIdToIndexFunctor > | clang::doc::BlockIdNameMap
static const llvm::IndexedMap< RecordIdDsc, RecordIdToIndexFunctor > | clang::doc::RecordIdNameMap
static const std::vector< std::pair< BlockId, std::vector< RecordId > > > | clang::doc::RecordsByBlock